get_data_logs
GET /data_logs
Get all the data_logs of the company
- Rails
require 'rest-client'
RestClient::Request.execute method: :get,
url: 'https://api.diduenjoy.com/api/v1/data_logs',
user: 'PUT-YOUR-API-KEY-HERE'
---------------Filter--------------------------
require 'rest-client'
RestClient::Request.execute method: :get,
url: "https://api.diduenjoy.com/api/v1/data_logs?[start_date]=2023-06-05&filter[end_date]=2023-07-05",
user: 'PUT-YOUR-API-KEY-HERE'
attributes
| attribute | description |
|---|---|
| data_id string | id of the related data |
| data_modified string | type of the modified data |
| operation_type string | operation type ('delete','soft_delete','restore','update_rating','solved','add_message','change_tag','rename') |
| created_at datetime | data_log creation date |
optional parameters "filter"
| parameter | description |
|---|---|
| start_date date | filter over data_logs created after the specified date |
| end_date date | filter over data_logs created before the specified date |